/**
 * Demonstracija citanja svih redova iz nekog tekstualnog fajla i njihov ispis
 * na ekran.
 */
public class CitanjeFajla {
	/** cita i ispisuje sve redove fajla na ekran */
	static void citajSveRedove(String imeFajla) {
		// proverimo da li postoji
		if (Svetovid.testIn(imeFajla)) {
			/* radimo dokle god ima jos nesto u fajlu */
			while (Svetovid.in(imeFajla).hasMore()) {
				String red = Svetovid.in(imeFajla).readLine();
				Svetovid.out.println(red);
			}
			Svetovid.in(imeFajla).close();
		}
	}

	/** alternativni nacin da ispisemo sve redove fajla */
	static void citajSveRedoveAlt(String imeFajla) {
		/*
		 * Koriste se pogodnosti biblioteke za citanje svih redova odjednom.
		 */
		Svetovid.out.println(Svetovid.in(imeFajla).readAll());
		Svetovid.in(imeFajla).close();
	}

	public static void main(String[] args) {
		String imeFajla = Svetovid.in.readLine("Unesite ime fajla:");

		Svetovid.out.println("Sadržaj fajla:");
		citajSveRedove(imeFajla);

		Svetovid.out.println();

		Svetovid.out.println("Sadržaj fajla (drugi način):");
		citajSveRedoveAlt(imeFajla);
	}

}
