public class SkupoviPrimeri {

	public static Skup<Integer> ucitajBrojeve(String imefajla) {
		Skup<Integer> rez = new Skup<>();
		int god;
		while (!Svetovid.in(imefajla).isEmpty()) {
			god = Svetovid.in(imefajla).readInt();
			rez.ubaci(god);
		}
		return rez;
	}

	/* dati su fajl "koriscene.txt" i "rezervisane.txt" u kojima su brojevi
	 sala koje su rezervisane i one koje su zapravo koriscene
	 interesuje je nas koji nisu koriscene iako su rezervisane
	 a potrebno je proveriti i da nije koriscena neka sala koja nije bila
	 rezervisana */
	public static void proveraSala() {
		Skup<Integer> koriscene = ucitajBrojeve("koriscene.txt");
		Skup<Integer> rezervisane = ucitajBrojeve("rezervisane.txt");

		System.out.println("neiskoricene:" + rezervisane.razlika(koriscene));

		if (koriscene.podskupOd(rezervisane)) {
			System.out.println("Sve koriscene sale su bile rezervisane");
		} else {
			System.out.println("Ove sale nisu bile rezervisane:"
					+ koriscene.razlika(rezervisane));
		}
	}

	public static Skup<String> ucitajStringove(String imefajla) {
		Skup<String> rez = new Skup<>();

		String red;
		while (!Svetovid.in(imefajla).isEmpty()) {
			red = Svetovid.in(imefajla).readLine();
			rez.ubaci(red);
		}
		return rez;
	}

	public static void dodajRedove(Skup<String> rez, String imefajla) {
		String red;
		while (!Svetovid.in(imefajla).isEmpty()) {
			red = Svetovid.in(imefajla).readLine();
			rez.ubaci(red);
		}
	}

	// dati su spiskovi studenata na predmetima
	// naci one koji slusaju sve predmete
	public static void ucitajSve() {
		Skup<String> spa = ucitajStringove("spa.txt");
		Skup<String> pj = ucitajStringove("pj.txt");
		Skup<String> baze = ucitajStringove("baze.txt");

		System.out.println(spa);
		System.out.println(pj);
		System.out.println(spa.presek(pj).presek(baze));
	}

	// dati su spiskovi studenata koji su dolazili na vezbe po nedeljama
	// ispisati sve studente koji su bar jednom dosli
	public static void sviNaPredmetu() {
		Skup<String> studenti = ucitajStringove("nedelja1.txt");
		int brojNedelja = 12;
		for (int i = 2; i <= brojNedelja; i++) {
			dodajRedove(studenti, "nedelja" + brojNedelja + ".txt");
		}
		System.out.println("Studenti koji su bili bar jednom:" + studenti);
	}

	public static void main(String[] args) {
		// pozivati metode po zelji

	}

}
